

InitialValue.playermoney = 5000;


-- ADULT ------------------------------------------------------

-- Low class  No	  Age			  Class (-1 = random class)

People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		0);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		1);
People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		2);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		3);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		4);
People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		5);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		6);
People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		7);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		8);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		9);
People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		10);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		11);
People.Create(10, 	AGE_ADULT, 			CLASS_LOW, 		12);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		13);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		14);
People.Create(10, 	AGE_ADULT,	 		CLASS_LOW, 		15);

-- Medium class

People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	16);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	17);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	18);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	19);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	20);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	21);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	22);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	23);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	24);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	25);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	26);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	27);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	28);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	29);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	30);
People.Create(10, 	AGE_ADULT,	 		CLASS_MEDIUM,	31);

-- High class

People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		32);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		33);
People.Create(10, 	AGE_ADULT, 			CLASS_HIGH,		34);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		35);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		36);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		37);
People.Create(10, 	AGE_ADULT, 			CLASS_HIGH,		38);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		39);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		40);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		41);
People.Create(10, 	AGE_ADULT, 			CLASS_HIGH,		42);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		43);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		44);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		45);
People.Create(10, 	AGE_ADULT, 			CLASS_HIGH,		46);
People.Create(10, 	AGE_ADULT,	 		CLASS_HIGH,		47);

-- PENSIONER ------------------------------------------------------

-- Low class  No	  Age			  Class (-1 = random class)

People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		60);
People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		61);
People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		62);
People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		63);
People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		64);
People.Create(10, 	AGE_PENSIONER,		CLASS_LOW, 		65);

-- Medium class

People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	54);
People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	55);
People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	56);
People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	57);
People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	58);
People.Create(10, 	AGE_PENSIONER,		CLASS_MEDIUM,	59);

-- High class

People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		48);
People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		49);
People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		50);
People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		51);
People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		52);
People.Create(10, 	AGE_PENSIONER,		CLASS_HIGH,		53);

-- CHILD ------------------------------------------------------

-- Low class  No	  Age			  Class (-1 = random class)

People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		66);
People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		67);
People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		68);
People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		69);
People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		70);
People.Create(10, 	AGE_CHILD, 			CLASS_LOW, 		71);

-- Medium class

People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	72);
People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	73);
People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	74);
People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	75);
People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	76);
People.Create(10, 	AGE_CHILD,	 		CLASS_MEDIUM,	77);

-- High class

People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		78);
People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		79);
People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		80);
People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		81);
People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		82);
People.Create(10, 	AGE_CHILD,	 		CLASS_HIGH,		83);

-- TOURIST ------------------------------------------------------

-- Low class  No	  Age			  Class (-1 = random class)

People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		96);
People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		97);
People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		98);
People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		99);
People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		100);
People.Create(4, 	AGE_TOURIST,		CLASS_LOW, 		101);

-- Medium class

People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	90);
People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	91);
People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	92);
People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	93);
People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	94);
People.Create(4, 	AGE_TOURIST,		CLASS_MEDIUM,	95);

-- High class

People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		84);
People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		85);
People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		86);
People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		87);
People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		88);
People.Create(4, 	AGE_TOURIST,		CLASS_HIGH,		89);

-- TEENAGER ------------------------------------------------------

-- Low class  No	  Age			  Class (-1 = random class)

--People.Create(10, 	AGE_TEENAGER,	CLASS_LOW, 		);

-- Medium class

--People.Create(10, 	AGE_TEENAGER,	CLASS_MEDIUM,	);

-- High class

--People.Create(10, 	AGE_TEENAGER,	CLASS_HIGH,		);





-- set up the blocks
-- switch them all off first.
for i, v in Block do
	v.ownable = false;
	v.buildingrights = 0;
end;
Block[ORIENTAL_AVENUE].buildingrights = 2;
Block[VERMONT_AVENUE].buildingrights = 2;
Block[TELECOMS].buildingrights = 2;
Block[B_O_RAILROAD].buildingrights = 2;
Block[CONNECTICUT_AVENUE].buildingrights = 2;
Block[INDIANA_AVENUE].buildingrights = 2;
Block[KENTUCKY_AVENUE].buildingrights = 2;
Block[ST_JAMES_PLACE].buildingrights = 2;
Block[TENNESSEE_AVENUE].buildingrights = 2;
Block[ILLINOIS_AVENUE].buildingrights = 2;
Block[PACIFIC_AVENUE].buildingrights = 2;
Block[NEW_YORK_AVENUE].buildingrights = 2;
Block[SHORTLINE_RAILROAD].buildingrights = 2;
Block[NORTH_CAROLINA].buildingrights = 2;
Block[ST_CHARLES_PLACE].buildingrights = 2;
Block[MARVIN_GARDENS].buildingrights = 2;
Block[PENNSYLVANIA_AVENUE].buildingrights = 2;
Block[STATES_AVENUE].buildingrights = 2;
Block[VIRGINIA_AVENUE].buildingrights = 2;
Block[VENTNOR_AVENUE].buildingrights = 2;
Block[BOARDWALK].buildingrights = 2;
Block[PARK_PLACE].buildingrights = 2;
Block[BALTIC_AVENUE].buildingrights = 2;
Block[ATLANTIC_AVENUE].buildingrights = 2;
Block[MEDITERRANEAN_AVENUE].buildingrights = 2;
Block[GASWORKS].buildingrights = 2;
Block[DOCK_1].buildingrights = 2;
Block[DOCK_2].buildingrights = 2;
Block[DOCK_3].buildingrights = 2;
Block[WATER_WORKS].buildingrights = 2;
Block[ELECTRIC_COMPANY].buildingrights = 2;
Block[PENSYLVANIA_RAILROAD].buildingrights = 2;
Block[READING_RAILROAD].buildingrights = 2;

Block[ORIENTAL_AVENUE].ownable = true;
Block[VERMONT_AVENUE].ownable = true;
Block[TELECOMS].ownable = true;
Block[B_O_RAILROAD].ownable = true;
Block[CONNECTICUT_AVENUE].ownable = true;
Block[INDIANA_AVENUE].ownable = true;
Block[KENTUCKY_AVENUE].ownable = true;
Block[ST_JAMES_PLACE].ownable = true;
Block[TENNESSEE_AVENUE].ownable = true;
Block[ILLINOIS_AVENUE].ownable = true;
Block[PACIFIC_AVENUE].ownable = true;
Block[NEW_YORK_AVENUE].ownable = true;
Block[SHORTLINE_RAILROAD].ownable = true;
Block[NORTH_CAROLINA].ownable = true;
Block[ST_CHARLES_PLACE].ownable = true;
Block[MARVIN_GARDENS].ownable = true;
Block[PENNSYLVANIA_AVENUE].ownable = true;
Block[STATES_AVENUE].ownable = true;
Block[VIRGINIA_AVENUE].ownable = true;
Block[VENTNOR_AVENUE].ownable = true;
Block[BOARDWALK].ownable = true;
Block[PARK_PLACE].ownable = true;
Block[BALTIC_AVENUE].ownable = true;
Block[ATLANTIC_AVENUE].ownable = true;
Block[MEDITERRANEAN_AVENUE].ownable = true;
Block[GASWORKS].ownable = true;
Block[DOCK_1].ownable = true;
Block[DOCK_2].ownable = true;
Block[DOCK_3].ownable = true;
Block[WATER_WORKS].ownable = true;
Block[ELECTRIC_COMPANY].ownable = true;
Block[PENSYLVANIA_RAILROAD].ownable = true;
Block[READING_RAILROAD].ownable = true;



-- set up the business info
-- switch them all off first.
for i, v in BusinessInfo do
	v.available = false;
end;


BusinessInfo[APARTMENT].available = true;
BusinessInfo[BAKERY].available = true;
BusinessInfo[BUTCHERS].available = true;
BusinessInfo[DELI].available = true;
BusinessInfo[CHEESE_STORE].available = true;
BusinessInfo[FISH_MARKET].available = true;
BusinessInfo[GREENGROCERS].available = true;
BusinessInfo[GENERAL_STORE].available = true;
BusinessInfo[SUPERMARKET].available = true;
BusinessInfo[DEPARTMENT_STORE].available = true;
BusinessInfo[PHARMACY].available = true;
BusinessInfo[NEWS_STAND].available = true;
BusinessInfo[CLOTHES_STORE].available = true;
BusinessInfo[CAFE].available = true;
BusinessInfo[RESTAURANT].available = true;
BusinessInfo[DINER].available = true;
BusinessInfo[FAST_FOOD_OUTLET].available = true;
BusinessInfo[ICECREAM_PARLOUR].available = true;
BusinessInfo[BAR].available = true;
BusinessInfo[NIGHTCLUB].available = true;
BusinessInfo[BALLROOM].available = true;
BusinessInfo[CINEMA].available = true;
BusinessInfo[THEATRE].available = true;
BusinessInfo[BOWLING_ALLEY].available = true;
BusinessInfo[POOL_HALL].available = true;
BusinessInfo[TRAVEL_AGENCY].available = true;
BusinessInfo[SPORTS_STORE].available = true;
BusinessInfo[JEWELLERS].available = true;
BusinessInfo[BOOK_STORE].available = true;
BusinessInfo[MUSIC_STORE].available = true;
BusinessInfo[VIDEO_STORE].available = true;
BusinessInfo[HEALTH_CLINIC].available = true;
BusinessInfo[DOCTORS_SURGERY].available = true;
BusinessInfo[ELECTRICAL_STORE].available = true;
BusinessInfo[ELECTRICAL_SUPERSTORE].available = true;
BusinessInfo[HARDWARE_STORE].available = true;
BusinessInfo[SOUVENIR_SHOP].available = true;
BusinessInfo[TOY_STORE].available = true;
BusinessInfo[COMPUTER_STORE].available = true;
BusinessInfo[PHONE_SHOP].available = true;
BusinessInfo[FURNITURE_STORE].available = true;
BusinessInfo[ANTIQUE_STORE].available = true;
BusinessInfo[AMUSEMENT_ARCADE].available = true;
















InitialValue.numcars = 125;
InitialValue.playermoney = 5000;

-- set up sim preference lists

-- Low class

InitialValue.AddPreference(0, 	MEAT,					2);
InitialValue.AddPreference(0, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(0, 	SOUVENIRS,				2);

InitialValue.AddPreference(1, 	NEWSPAPER,				2);
InitialValue.AddPreference(1, 	DANCING,				2);
InitialValue.AddPreference(1, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(1, 	SNACK,					2);

InitialValue.AddPreference(2, 	SNACK,					2);
InitialValue.AddPreference(2, 	BREAD,					2);
InitialValue.AddPreference(2, 	DRINKS,		  			2);
InitialValue.AddPreference(2, 	FISH,					2);

InitialValue.AddPreference(3, 	DANCING,				2);
InitialValue.AddPreference(3, 	DRINKS,					2);
InitialValue.AddPreference(3, 	PERFORMANCE,			2);

InitialValue.AddPreference(4, 	BREAD,					2);
InitialValue.AddPreference(4, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(4, 	SNACK,					2);

-- Medium class

InitialValue.AddPreference(5, 	MEAT,					2);
InitialValue.AddPreference(5, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(5, 	BREAD,					2);
InitialValue.AddPreference(5, 	FURNITURE,				2);

InitialValue.AddPreference(6, 	MEAT,					2);
InitialValue.AddPreference(6, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(6, 	TOOLS_AND_HARDWARE, 	2);
InitialValue.AddPreference(6, 	TOYS,					2);

InitialValue.AddPreference(7, 	SNACK,					2);
InitialValue.AddPreference(7, 	MEAL,					2);
InitialValue.AddPreference(7, 	BREAD,		  			2);
InitialValue.AddPreference(7, 	DRINKS,					2);

InitialValue.AddPreference(8, 	DANCING,				2);
InitialValue.AddPreference(8, 	JEWELLERY,	  			2);
InitialValue.AddPreference(8, 	TOOLS_AND_HARDWARE,		2);
InitialValue.AddPreference(8, 	CLOTHING,				2);
InitialValue.AddPreference(8, 	DRINKS,					2);
InitialValue.AddPreference(8, 	PERFORMANCE,			2);

InitialValue.AddPreference(9, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(9, 	MEAT,					2);
InitialValue.AddPreference(9, 	SNACK,					2);
InitialValue.AddPreference(9, 	FISH,					2);

-- High class

InitialValue.AddPreference(10, 	TOYS,					2);
InitialValue.AddPreference(10, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(10, 	MEAL,					2);
InitialValue.AddPreference(10, 	BOOKS,					2);
InitialValue.AddPreference(10, 	DAIRY_PRODUCE,			2);

InitialValue.AddPreference(11, 	MEAT,					2);
InitialValue.AddPreference(11, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(11, 	MEAL,		  			2);
InitialValue.AddPreference(11, 	DRINKS,					2);
InitialValue.AddPreference(11, 	DANCING,	  			2);

InitialValue.AddPreference(12, 	SNACK,					2);
InitialValue.AddPreference(12, 	MEAL,					2);
InitialValue.AddPreference(12, 	BREAD,		  			2);
InitialValue.AddPreference(12, 	DRINKS,					2);
InitialValue.AddPreference(12, 	CLOTHING,				2);
InitialValue.AddPreference(12, 	ELECTRICAL_GOODS,		2);

InitialValue.AddPreference(13, 	DANCING,				2);
InitialValue.AddPreference(13, 	JEWELLERY,	  			2);
InitialValue.AddPreference(13, 	BOOKS,					2);
InitialValue.AddPreference(13, 	BREAD,					2);
InitialValue.AddPreference(13, 	DRINKS,					2);
InitialValue.AddPreference(13, 	PERFORMANCE,			2);

-- Tourists

InitialValue.AddPreference(14, 	SOUVENIRS,				2);
InitialValue.AddPreference(14, 	MEALS,					2);
InitialValue.AddPreference(14, 	PERFORMANCE,			2);
InitialValue.AddPreference(14, 	DANCING,				2);

InitialValue.AddPreference(15, 	DRINKS,					2);
InitialValue.AddPreference(15, 	SOUVENIRS, 				2);
InitialValue.AddPreference(15, 	JEWELLERY,		  		2);
InitialValue.AddPreference(15, 	SNACK,					2);

InitialValue.AddPreference(16, 	SOUVENIRS,				2);
InitialValue.AddPreference(16, 	MEAL,					2);
InitialValue.AddPreference(16, 	DRINKS,					2);

InitialValue.AddPreference(17, 	DANCING,				2);
InitialValue.AddPreference(17, 	JEWELLERY,	  			2);
InitialValue.AddPreference(17, 	DRINKS,					2);
InitialValue.AddPreference(17, 	SOUVENIRS,				2);
InitialValue.AddPreference(17, 	CLOTHING,				2);
InitialValue.AddPreference(17, 	PERFORMANCE,			2);

InitialValue.AddPreference(18, 	SOUVENIRS,				2);
InitialValue.AddPreference(18, 	DANCING,				2);
InitialValue.AddPreference(18, 	MEAL,					2);
InitialValue.AddPreference(18, 	SNACK,					2);
InitialValue.AddPreference(18, 	DRINKS,					2);

-- Senior Citizens

InitialValue.AddPreference(19, 	SNACKS,					2);
InitialValue.AddPreference(19, 	FURNITURE,				2);
InitialValue.AddPreference(19, 	BOOKS,					2);
InitialValue.AddPreference(19, 	DAIRY_PRODUCE,			2);

InitialValue.AddPreference(20, 	HEALTHCARE,				2);
InitialValue.AddPreference(20, 	SNACK,				 	2);
InitialValue.AddPreference(20,	GAMING,			  		2);
InitialValue.AddPreference(20, 	BOOKS,					2);

InitialValue.AddPreference(21, 	SNACK,					2);
InitialValue.AddPreference(21, 	MEAL,					2);
InitialValue.AddPreference(21, 	BREAD,					2);
InitialValue.AddPreference(21, 	DRINKS,					2);
InitialValue.AddPreference(21, 	BOOKS,					2);

InitialValue.AddPreference(22, 	DANCING,				2);
InitialValue.AddPreference(22, 	NEWSPAPER,	  			2);
InitialValue.AddPreference(22, 	HEALTHCARE,				2);
InitialValue.AddPreference(22, 	DRINKS,					2);
InitialValue.AddPreference(22, 	PERFORMANCE,			2);

InitialValue.AddPreference(23, 	MEAL,					2);
InitialValue.AddPreference(23, 	DANCING,				2);
InitialValue.AddPreference(23, 	MEAT,					2);
InitialValue.AddPreference(23, 	CLOTHING,				2);
InitialValue.AddPreference(23, 	FISH,					2);

-- Children

InitialValue.AddPreference(24, 	SWEETS,					2);
InitialValue.AddPreference(24, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(24, 	BOOKS,					2);
InitialValue.AddPreference(24, 	TOYS,					2);

InitialValue.AddPreference(25, 	MEAT,					2);
InitialValue.AddPreference(25, 	FRUIT_AND_VEG, 			2);
InitialValue.AddPreference(25,	BOOKS,			  		2);
InitialValue.AddPreference(25,	TOYS,			  		2);

InitialValue.AddPreference(26, 	SNACK,					2);
InitialValue.AddPreference(26, 	BOOKS,					2);
InitialValue.AddPreference(26, 	BREAD,					2);
InitialValue.AddPreference(26, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(26, 	SWEETS,					2);
InitialValue.AddPreference(26, 	TOYS,					2);

InitialValue.AddPreference(27, 	SNACK,					2);
InitialValue.AddPreference(27, 	MEAT,		  			2);
InitialValue.AddPreference(27, 	HEALTHCARE,				2);
InitialValue.AddPreference(27, 	SWEETS,		  			2);
InitialValue.AddPreference(27, 	TOYS,		  			2);

InitialValue.AddPreference(28, 	BREAD,					2);
InitialValue.AddPreference(28, 	SWEETS,					2);
InitialValue.AddPreference(28, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(28, 	SOUVENIRS,				2);
InitialValue.AddPreference(28, 	TOYS,					2);

--Additional Senior Citizens, acting as city workers

InitialValue.AddPreference(29, 	PERFORMANCE,			2);
InitialValue.AddPreference(29, 	MEAL,					2);
InitialValue.AddPreference(29, 	ELECTRICAL_GOODS,		2);

InitialValue.AddPreference(30, 	MEAT,					2);
InitialValue.AddPreference(30, 	FRUIT_AND_VEG,			2);
InitialValue.AddPreference(30, 	SNACK,					2);
InitialValue.AddPreference(30, 	ANTIQUES,				2);
InitialValue.AddPreference(30, 	FURNITURE,				2);

InitialValue.AddPreference(31, 	DRINKS,					2);
InitialValue.AddPreference(31, 	HEALTHCARE,				2);

InitialValue.AddPreference(32, 	BOOKS,					2);
InitialValue.AddPreference(32, 	DAIRY_PRODUCE,			2);
InitialValue.AddPreference(32, 	FISH,					2);
InitialValue.AddPreference(32, 	GAMING,					2);
InitialValue.AddPreference(32, 	CLOTHING,				2);
InitialValue.AddPreference(32, 	DANCING,				2);


InitialValue.AssociatePreference(LOW_CLASS_ADULT_CONSUMER,		0);
InitialValue.AssociatePreference(LOW_CLASS_ADULT_CONSUMER,		1);
InitialValue.AssociatePreference(LOW_CLASS_ADULT_CONSUMER,		2);
InitialValue.AssociatePreference(LOW_CLASS_ADULT_CONSUMER,		3);
InitialValue.AssociatePreference(LOW_CLASS_ADULT_CONSUMER,		4);

InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT_CONSUMER,	5);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT_CONSUMER,	6);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT_CONSUMER,	7);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT_CONSUMER,	8);
InitialValue.AssociatePreference(MEDIUM_CLASS_ADULT_CONSUMER,	9);

InitialValue.AssociatePreference(HIGH_CLASS_ADULT_CONSUMER,		10);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT_CONSUMER,		11);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT_CONSUMER,		12);
InitialValue.AssociatePreference(HIGH_CLASS_ADULT_CONSUMER,		13);


-- set up the business info
-- switch them all off first.
for i, v in BusinessInfo do
	v.available = false;
end;

BusinessInfo[ANTIQUE_STORE].available = true;
BusinessInfo[BOOK_STORE].available = true;
BusinessInfo[BAKERY].available = true;
BusinessInfo[CLOTHES_STORE].available = true;
BusinessInfo[CHEESE_STORE].available = true;
BusinessInfo[BALLROOM].available = true;
BusinessInfo[BAR].available = true;
BusinessInfo[ELECTRICAL_STORE].available = true;
BusinessInfo[FISH_MARKET].available = true;
BusinessInfo[GREENGROCERS].available = true;
BusinessInfo[FURNITURE_STORE].available = true;
BusinessInfo[POOL_HALL].available = true;
BusinessInfo[PHARMACY].available = true;
BusinessInfo[DOCTORS_SURGERY].available = true;
BusinessInfo[JEWELLERS].available = true;
BusinessInfo[RESTAURANT].available = true;
BusinessInfo[DINER].available = true;
BusinessInfo[CAFE].available = true;
BusinessInfo[BUTCHERS].available = true;
BusinessInfo[NEWS_STAND].available = true;
BusinessInfo[THEATRE].available = true;
BusinessInfo[SOUVENIR_SHOP].available = true;
BusinessInfo[ICECREAM_PARLOUR].available = true;
BusinessInfo[HARDWARE_STORE].available = true;
BusinessInfo[TOY_STORE].available = true;
BusinessInfo[APARTMENT].available = true;
BusinessInfo[LANDSCAPE].available = true;


-- set up the blocks
-- switch them all off first.
for i, v in Block do
	v.ownable = false;
	v.buildingrights = 0;
end;
Block[VENTNOR_AVENUE].buildingrights = 2;
Block[MARVIN_GARDENS].buildingrights = 2;
Block[ILLINOIS_AVENUE].buildingrights = 2;
Block[INDIANA_AVENUE].buildingrights = 2;
Block[KENTUCKY_AVENUE].buildingrights = 2;
Block[PACIFIC_AVENUE].buildingrights = 2;
Block[NEW_YORK_AVENUE].buildingrights = 2;
Block[NORTH_CAROLINA].buildingrights = 2;
Block[PENNSYLVANIA_AVENUE].buildingrights = 2;
Block[PARK_PLACE].buildingrights = 2;
Block[BOARDWALK].buildingrights = 2;




--NOTE: ALL OF THE FOLLOWING ARE TEMPORARILY SENIOR CITIZENS

-- Low class  No	  Age			  Class (-1 = random class)

People.Create(14, 	AGE_PENSIONER, 		CLASS_LOW, 		0);
People.Create(10, 	AGE_PENSIONER, 		CLASS_LOW, 		1);
People.Create(16, 	AGE_PENSIONER, 		CLASS_LOW, 		2);
People.Create(18, 	AGE_PENSIONER, 		CLASS_LOW, 		3);
People.Create(12, 	AGE_PENSIONER, 		CLASS_LOW, 		4);

-- Medium class

People.Create(12, 	AGE_PENSIONER, 		CLASS_MEDIUM,	5);
People.Create(18, 	AGE_PENSIONER, 		CLASS_MEDIUM,	6);
People.Create(16, 	AGE_PENSIONER, 		CLASS_MEDIUM,	7);
People.Create(16, 	AGE_PENSIONER, 		CLASS_MEDIUM,	8);
People.Create(18, 	AGE_PENSIONER, 		CLASS_MEDIUM,	9);

-- High class

People.Create(15, 	AGE_PENSIONER, 		CLASS_HIGH,		10);
People.Create(12, 	AGE_PENSIONER, 		CLASS_HIGH,		11);
People.Create(16, 	AGE_PENSIONER, 		CLASS_HIGH,		12);
People.Create(17, 	AGE_PENSIONER, 		CLASS_HIGH,		13);

-- Tourists

--People.Create(9, 	TOURIST, 			-1,				14);
--People.Create(3, 	TOURIST, 			-1,				15);
--People.Create(12, 	TOURIST, 		-1,				16);
--People.Create(2, 	TOURIST, 			-1,				17);
--People.Create(4, 	TOURIST, 			-1,				18);

-- Senior Citizens

People.Create(23, 	AGE_PENSIONER, 		CLASS_HIGH,		19);
People.Create(17, 	AGE_PENSIONER, 		CLASS_MEDIUM,	20);
People.Create(16, 	AGE_PENSIONER, 		CLASS_MEDIUM,	21);
People.Create(10, 	AGE_PENSIONER, 		CLASS_LOW,		22);
People.Create(14, 	AGE_PENSIONER, 		CLASS_LOW,		23);

-- Children

People.Create(14, 	AGE_PENSIONER, 		CLASS_HIGH,		24);
People.Create(8, 	AGE_PENSIONER, 		CLASS_MEDIUM,	25);
People.Create(4, 	AGE_PENSIONER, 		CLASS_MEDIUM,	26);
People.Create(7, 	AGE_PENSIONER, 		CLASS_LOW,		27);
People.Create(7, 	AGE_PENSIONER, 		CLASS_LOW,		28);

-- Senior Citizens masquerading as City Workers

People.Create(50, 	AGE_PENSIONER,	 	CLASS_HIGH,		29);
People.Create(50, 	AGE_PENSIONER, 		CLASS_MEDIUM,	30);
People.Create(50, 	AGE_PENSIONER, 		CLASS_LOW,		31);
People.Create(45, 	AGE_PENSIONER, 		CLASS_MEDIUM,	32);





















